# Uses of Enum
org.apache.zookeeper.server.EphemeralType

Packages that use EphemeralType
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of EphemeralType in org.apache.zookeeper.server

Subclasses with type arguments of type EphemeralType in org.apache.zookeeper.server
Modifier and Type
Class
Description
`enum`
`EphemeralType`
Abstraction that interprets the `ephemeralOwner` field of a ZNode.
Methods in org.apache.zookeeper.server that return EphemeralType
Modifier and Type
Method
Description
`static EphemeralType`
EphemeralType.`get(long ephemeralOwner)`
Convert a ZNode ephemeral owner to an ephemeral type.
`static EphemeralType`
EphemeralType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static EphemeralType[]`
EphemeralType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.